/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.13 Read an Access table using a tab delimited file
*/

* Need to create the tab delimited file;
* Tab Delimited File: class.txt;
* "name"  "absences" "quiz" "class" "weight" ;
* "tim"   1.00       6.00   3.00    "." ;
* "sally" 2.00       10.00  4.00    "110";
* "john" -2.00       8.00   3.00    "120";
* -------------------------------------------------------;

proc import out= work.class2
  datafile= "c:\mydata\class.txt"
  dbms=tab replace; 
  getnames=yes;
  datarow=2;
run;

proc contents data=class2;
run;

proc print data=class2;
run;