/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.6 Read data using the column pointer control
*/

data class3;
  input name $8. @10 absences 2. @15 quiz 4.1 @21 class 1. @23 dob mmddyy8.;
/* Column Reference Number
123456789012345678901234567890 */
  cards;
tim lou  1    6.0   3 10/23/78
sally    2    10.1  2 01/02/78
john     2    8.0   3 06/22/78
;
run;

proc print data=class3;
run;