/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 2.8 Writing data to a file from a data set
*/

data class3;
  input name $8. @10 absences 2. @15 quiz 4.1 @21 class 1. @23 dob mmddyy8.;
  cards;
tim lou  1     6.0  3 10/23/78
sally    2    10.1  2 01/02/78
john     2     8.0  3 06/22/78
;
run;

FILENAME outfile 'c:\OUTPUT_FILE.TXT';

DATA _NULL_;
  FILE outfile;
  SET class3;
  PUT 'NAME = ' NAME $ 8-15 ' BIRTH DATE = ' DOB DATE9. +2 QUIZ 4.1 +2 CLASS=; 
RUN;