/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.1 Applying labels to variables in a SAS data set
*/

data patno;
  label patno='Patient Number';
  attrib gender label='Gender (male, female)';
  input patno source $ gender $;
  cards;
1 C male
2 C female
3 C male
5 C male
;
run;

proc contents data=patno;
run;

proc print data=patno label;
run;