/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.15 Using the SORT procedure to sort data sets
*/

data tests;
  input name $ class $ test_score ;
  cards;
Tim math 9
Tim history 7
Tim science 7
Sally math 10
Sally science 7
Sally history 5
John math 8
John history 7
John science 6
;
run;

proc sort data=tests out=tests_sort; 
  by name descending class; 
run;

proc print data=tests_sort;
run;