/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 4.4 Using the FREQ procedure to summarize data
*/

data tests;
  input sex $ eye_color $ @@;
  cards;
M Green F Brown M Brown F Green
F Brown M Green F Brown M Brown
F Brown M Green F Green F Brown
F Green F Brown F Green F Green
M Green M Green M Green F Green
M Green M Brown M Green M Brown
;
run;

proc freq data=tests;
  tables sex*eye_color/exact;
  output out=test_freq exact;
run;

proc freq data=tests; 
  tables sex*eye_color/list;
run;

proc print data=test_freq;
run;