/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 5.13 Character to numeric conversion
*/

data tests;
  input name $ class $ quiz1 $ quiz2 $; 
  cards;
Tim math 9 10
Sally math 10 10
John math 8 6
;
run;

data total;
  set tests;
  total=quiz1+quiz2;
  total2=input(quiz1,2.) + input(quiz2,2.); 
run;

proc print data=total;
run;