/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 5.17 Character field truncated
*/

data tests;
  input name $ class $ quiz1 quiz2 ;
  cards;
Tim math 9 10
Sally math 10 10
John math 8 6
;
run;

data level;
  set tests;
  total=quiz1 + quiz2;
  if total<16 then level='Low'; 
  else level='High';
run;

proc contents data=level;
run;

proc print data=level;
run;