/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com)  
Example 6.12 Using the CATX( ) function to concatenate strings
*/

data test;
  length a b $10;
  a = ' Good ';
  b = 'Afternoon';
  v9func= CATX('',a,b); 
  oldway=trim(left(a))||' '||trim(left(b));
run;

proc print data=test;
run;
