/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 6.7 Creating an HTML file with custom text
*/

data mylib.tests;
  input name $ class $ quiz_score ;
  cards;
Tim math 9
Steve history 7
James science 7
Sally math 10
Michelle science 7
Adam history 5
Doug math 8
Lynn history 7
Dave science 6
;
run;

ods html body = 'c:\freqs_body.html'
contents = 'c:\freqs_contents.html'
frame = 'c:\freqs_out.html'
;

proc freq data=mylib.tests;
  table class*quiz_score / Contents='My Contents';
  run;
ods html close;