/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.10 Read formatted input data using the INFILE statement
*/

* Need to create the txt file with the two records in it;
* c:\mydata\data.txt;
* 123456789012345678901234567890;
* tim lou  1    6.0   3 10/23/78;
* sally    2    10.1  2 01/02/78;
* --------------------------------------------------;

filename datfil 'c:\mydata\data.txt';

data class;
infile datfil dlm=' ' end=last firstobs=2 missover truncover;
  input name $8. @10 absences 2. @15 quiz 4.1 @21 class 1. @23 dob mmddyy8.;
  if last then put 'Last observation read';
run;

proc print data=class;
run;