/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.11 Read formatted input data using the INFILE statement with the DSD option.
*/

* Need to create the txt file with the two records in it;
* c:\mydata\data.txt;
* tim lou,1,6.0,,10/23/78;
* sally,2,10.1,2,01/02/78;
* --------------------------------------------------;

filename datfil 'c:\mydata\data.txt';

data class;
  infile datfil DSD dlm=',' ;
  input name $ absences quiz class dob mmddyy8.;
run;

proc print data=class;
run;