/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.12 Read an Excel file using a comma separated file
*/

* Need to create the csv file with the three records in it;
* Comma Separated File: class.csv;
* name,absences,quiz,class,weight .;
* tim,1,6,3, .;
* sally,2,10,4,110;
* john,-2,8,3,120;
* ------------------------------------------------;

proc import out= work.class
  datafile= "c:\mydata\class.csv"
  dbms=csv replace; 
  getnames=yes;
  datarow=2;
run;

proc print data=class;
run;

proc contents data=class;
run;