/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.14 Read data sets using the SET statement
*/

data A;
  input patno source $ gender $;
  cards;
1 A male
3 A male
;
run;

data B;
  input patno source $ age;
  cards;
2 B 45
4 B 35
;
run;

data test1;
  set B A;
run;

proc print data=test1;
run;