/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.15 Combine data sets using the SET and BY statements
*/

data A;
  input patno source $ gender $;
  cards;
1 A male
3 A male
;
run;

data B;
  input patno source $ age;
  cards;
2 B 45
4 B 35
;
run;

proc sort data=A;
  by source;
run;

proc sort data=B;
  by source;
run;

data test2;
  set A B;
  by source;
/* Condition Execute the statement at the */
/* If first.source = 1 then; Beginning of the group */
/* If last.source = 1 then; End of the group */
run;

proc print data=test2;
run;