/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com)  
Example 1.2 Read data using the COLUMN INPUT statement
*/

data class2;
  input name $ 1-7 absences 9-10 quiz 11-14 weight 17-20
  class 15;
/* Column Reference Number
123456789012345678901234567890 */
cards;
tim lou  1 6.03 .
sally    210.04 +110
john    -2 8.03 120
;

proc print data=class2;
run;

proc contents data=class2;
run;