/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.7 Read data using the line pointer control
*/

data quiz1;
input name $ 1-8 / absences 1-2 quiz 3-6;
/* Column Reference Number
123456789012345678901234567890 */
cards;
tim lou
1 6.0
sally
2 10.1
;
run;

data quiz2;
  input #1 name $ 1-8 #2 absences 1-2 quiz 3-6;
/* Column Reference Number
123456789012345678901234567890 */
  cards;
tim lou
1 6.0
sally
2 10.1
;
run;

proc print data=quiz2;
run;