/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 1.8 Use multiple INPUT statements with the trailing @ pointer 
control to read data from the same record more than once
*/

data payment;
  input name $ 1-4 @; 
    if name in ('bill', 'tom'); 
  input pay1 pay2 @; output; 
  input pay1 pay2; output; 
/* Column Reference Number
123456789012345678901234567890 */
  cards;
bill 360 1000 340 2000
john 100 2000 200 3000
;
run;

proc print data=payment;
run;