/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 2.5 Applying conditional subsets
*/

data test13;
  input name $ class $ test_score ;
  cards;
Tim math 9
Tim history 8
Tim science 7
Sally math 10
Sally science 7
Sally history 10
John math 8
John history 8
John science 9
;
run;

data grade;
  set test13;
  where name='Tim' or name='Sally'; 
  if class='math' then classnum=1;
  else if class='science' then classnum=2; 
  else if class='history' then classnum=3;
  if classnum=2; 
run;

proc print data=grade;
run;