/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.10 Processing data with iterative DO loops
*/

data tests; 
  input student @;  /* Comparable SAS statements without DO loop */
  do score=1 to 4;  /* score=1; input test @; output; */
    input test @;   /* score=2; input test @; output; */
    output;         /* score=3; input test @; output; */
  end;              /* score=4; input test @; output; */
cards;
1 7 10 10 8
2 6 7 7 8
3 10 10 9 10
run;

proc print data=tests;
run;