/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.11 Processing data using DO UNTIL and DO WHILE loops
*/

data test;         /* Do until - bottom evaluation */
  n=1;             /* Comparable SAS statements without DO Loop */
  do until (n>=5); /* student=1; output; n=n+1; */
    student=n;     /* student=2; output; n=n+1; */
    output;        /* student=3; output; n=n+1; */
    n+1;           /* student=4; output; n=n+1; */
  end;
run;

proc print data=test;
run;

data test;        /* Do while - top evaluation */
  n=1;            /* Comparable SAS statements without DO Loop */
  do while (n<5); /* student=1; output; n=n+1; */
    student=n;    /* student=2; output; n=n+1; */
    output;       /* student=3; output; n=n+1; */
    n+1;          /* student=4; output; n=n+1; */
  end;
run;

proc print data=test;
run;