/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.12 Processing data using DO UNTIL loop with same condition as DO WHILE loop
*/

data test;      /* Do until - bottom evaluation */
  n=1;          /* Comparable SAS statements without DO Loop */
  do until (n< 5);
    student=n;  /* student=1; output; n=n+1; */
    output;
    n+1;
  end;
run;

proc print data=test;
run;