/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.16 Using the APPEND procedure to add data sets
*/

data A; 
  input patno source $;
  cards;
1 A
3 A
;
run;

data B; 
  input patno source $;
  cards;
2 B
4 B
;
run;

proc append data=b out=a; /* Comparable DATA step
run;                      /* Data a; set a b; run; */

proc print data=a;
run;