/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 3.3 Explicitly defining the lengths of character variables
*/

data dob;
  attrib source length=$1
         gender length=$5;
  input patno source $ gender $ dob mmddyy10.;
  cards;
1 C male 01/12/2002
2 C female 11/14/1998
3 C male 07/22/1996
5 C male 05/23/1995
;
run;

proc print data=dob;
run;

proc contents data=dob;
run;