/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 5.14 Inconsistent raw date formats
*/

data demo;
  input name $ birthdtv $9.;
  datalines;
Jack 01Jan2001
John Dec2004 
;
run;

data newdemo;
  set demo;
  birthdt=input(birthdtv,date9.);
run;

proc print data=newdemo;
run;