/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com) 
Example 5.5 At least one W.D. format was too small for the number to be printed
*/

data tests;
  input name $ class $ quiz1 $ quiz2 $;
  cards;
Tim math 90 100
Sally math 100 100
John math 80 60
;
run;

data total;
  set tests;
  format total 2.;
  total=quiz1 + quiz2;
run;

proc print data=total;
run;