/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com)  
Example 6.10 Using the ANYALNUM( ) function to identify any alpha numeric character
*/

data _null_;
  string= 'abc 123 +=/';
  alpha=anyalnum(string);
  numeric=anyalnum(string,5);
  other = anyalnum(string,9);
  put alpha= numeric= other=;
run;