/* 
Authors: Sunil Gupta, Gupta Programming (http://www.GuptaProgramming.com) 
         Curt Edmonds, SimulStat Incorporated (http://www.SimulStat.com) 

Date: April 2005 

Book: Sharpening Your SAS Skills (http://www.crcpress.com)  

Example 6.9 Using the SQL procedure to create macro variables
*/

data drug;
  input gender $ race $ drug $ dose @@;
  cards;
M White Active 5 M White Active 5
F White Placebo 6 M Nonwhite Active 6
M Nonwhite Placebo 4 F White Active 7
M Nonwhite Active 5 M Nonwhite Placebo 7
F White Active 6 F White Active 4
;
run;

proc sql;
  select gender into :n01 - :n10 from drug; 
quit;

%put n01= &n01 n02= &n02 n10= &n10;